commit ef5e4aa92c667e6fde8c7bf0725003375c93f3c8
Author: freddy77 <freddy77>
Date:   Mon Feb 1 10:10:19 2010 +0000

    update documentation

diff --git a/ChangeLog b/ChangeLog
index 5c5547c..6ba2e74 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Feb  1 11:09:51 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* configure.ac doc/userguide.sgml: update documentation
+
 Fri Jan 29 19:56:51 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h include/tdsodbc.h src/odbc/connectparams.c:
 	* src/odbc/odbc.c src/tds/config.c win32/winsetup.c:
@@ -2266,4 +2269,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2976 2010/01/29 18:57:03 freddy77 Exp $
+$Id: ChangeLog,v 1.2977 2010/02/01 10:10:19 freddy77 Exp $
diff --git a/configure.ac b/configure.ac
index ab53e1f..db49bf0 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.45 2010/01/26 11:21:10 freddy77 Exp $
+dnl $Id: configure.ac,v 1.46 2010/02/01 10:10:19 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.83.dev.esyscmd(echo -n $(date +"%Y%m%d")))
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.45 $)
+AC_REVISION($Revision: 1.46 $)
 
 AM_INIT_AUTOMAKE([dist-bzip2 no-dist-gzip])
 AC_CONFIG_HEADERS(include/config.h)
@@ -134,7 +134,7 @@ AC_SUBST(HAVE_PERL_SOURCES)
 # Checks for libraries.
 # ------------------------------------------------------------
 AC_ARG_ENABLE(krb5,
-  AS_HELP_STRING([--enable-krb5], [enable Kerberos support (EXPERIMENTAL)]))
+  AS_HELP_STRING([--enable-krb5], [enable Kerberos support]))
 
 OLDLIBS="$LIBS"
 LIBS=""
@@ -234,7 +234,7 @@ fi
 
 # check for SSPI
 AC_ARG_ENABLE(sspi,
-  AS_HELP_STRING([--enable-sspi], [enable SSPI support (EXPERIMENTAL)]))
+  AS_HELP_STRING([--enable-sspi], [enable SSPI support]))
 # disable by default
 enable_sspi=${enable_sspi-no}
 # only if MingW (TODO other compilers)
diff --git a/doc/userguide.sgml b/doc/userguide.sgml
index 4f07c80..9d32b7f 100644
--- a/doc/userguide.sgml
+++ b/doc/userguide.sgml
@@ -9,8 +9,8 @@
 ]>
 <book>
 	<bookinfo>
-		<date>$Date: 2009/12/14 01:02:27 $</date>
-		<releaseinfo>$Revision: 1.126 $</releaseinfo>
+		<date>$Date: 2010/02/01 10:10:20 $</date>
+		<releaseinfo>$Revision: 1.127 $</releaseinfo>
 		<title>&freetds; User Guide</title>
 		<subtitle>A Guide to Installing, Configuring, and Running &freetds;</subtitle>
 		<author>
@@ -61,9 +61,9 @@ This guide is here for you, and we hope that you will be here for it, that other
 The version you're reading is:
 			</para> 
   			<simplelist type='vert'>
-<member>$Revision: 1.126 $</>
-<member>$Date: 2009/12/14 01:02:27 $</>
-<member>CVS control number $Id: userguide.sgml,v 1.126 2009/12/14 01:02:27 jklowden Exp $.</>
+<member>$Revision: 1.127 $</>
+<member>$Date: 2010/02/01 10:10:20 $</>
+<member>CVS control number $Id: userguide.sgml,v 1.127 2010/02/01 10:10:20 freddy77 Exp $.</>
   			</simplelist>
 			</footnote>
 can be found on the &freetds; 
@@ -432,6 +432,27 @@ There are a few optional arguments to <Command>configure</> that may be importan
 				</listitem>
 				</varlistentry>
 			<varlistentry>
+				<term><Option>--disable-apps
+					</Option></term>
+				<listitem><para>Do not attempt to build applications like tsql.
+				</para>
+				</listitem>
+				</varlistentry>
+			<varlistentry>
+				<term><Option>--disable-server
+					</Option></term>
+				<listitem><para>Do not attempt to build server stuff.
+				</para>
+				</listitem>
+				</varlistentry>
+			<varlistentry>
+				<term><Option>--disable-pool
+					</Option></term>
+				<listitem><para>Do not attempt to build pool stuff.
+				</para>
+				</listitem>
+				</varlistentry>
+			<varlistentry>
 				<term><Option>--disable-libiconv</Option></term>
 				<listitem><para>By default, <command>configure</> will search your system for an <systemitem class="library">iconv</systemitem> library for use with Microsoft servers (because TDS 7.0 employs Unicode).  This switch prevents that search.  If no <systemitem class="library">iconv</systemitem> library is used, &freetds; relies on its built-in iconv emulation, which is capable of converting ISO-8859-1 to UCS-2, sufficient for many applications.  </para>
 					</listitem>
@@ -464,6 +485,20 @@ There are a few optional arguments to <Command>configure</> that may be importan
 			</varlistentry>
 
 			<varlistentry>
+				<term><Option>--enable-krb5</Option></term>
+				<listitem><para>Enable Kerberos support. With Kerberos you can connect to server using your stored Kerberos ticket.
+					This require you to configure Kerberos support on your machine.
+				</para></listitem>
+				</varlistentry>
+
+			<varlistentry>
+				<term><Option>--enable-sspi</Option></term>
+				<listitem><para>Enable SSPI support. SSPI is a Windows library that allow you to use your current logged account for 
+					authentication. This allow you to login without entering a password again.
+				</para></listitem>
+				</varlistentry>
+
+			<varlistentry>
 				<term><Option>--enable-extra-checks</Option></term>
 				<listitem><para>Intended for debugging purposes, enables certain internal consistency checks against problems like memory corruption and buffer exhaustion.  
 				</para></listitem>
@@ -543,8 +578,8 @@ With any luck, you've built and installed the &freetds; libraries.
 				<listitem><para>The Borland Builder 6.0 compiler is also reported to work, but requires some tweaking of the <literal>#include</> statements.  We would apply any patches that make this work cleanly.</para></listitem>
 
 			</itemizedlist>	
+			</para>
 
-Threadsafe operation will not be enabled.  </para>
 			<para>From the Department of Double Emulation: &freetds; builds as a <filename>.dll</> under <productname>WINE</> and as a <filename>.a</> under <productname>Interix</>.  See the mailing list archives (second half of 2003) for details.  </para>
 		</sect2>
 		<sect2 id="VMS"><title>VMS&reg;</title>
@@ -581,7 +616,7 @@ url="http://www.madgoat.com">www.madgoat.com</ulink>).</para>
 		</sect3>
 		</sect2>
 		<sect2 id="osx"><title>OS X&reg;</title>
-  			<para>As of this writing ($Date: 2009/12/14 01:02:27 $), the regular distribution compiles on OS X.  Releases prior to 0.63 either did not compile or required patching.  </para>
+  			<para>As of this writing ($Date: 2010/02/01 10:10:20 $), the regular distribution compiles on OS X.  Releases prior to 0.63 either did not compile or required patching.  </para>
 
 		<sect3 id="OSX.Build.Update">
 			<title>Alternative build procedure</title>
@@ -1728,6 +1763,13 @@ The following table defines all possible ODBC connection attributes for the <pro
 	<entry>DB dependent</entry>
 	<entry>Size of packets to server.  Some users saw some performance gain by increasing this value.  Normally you shouldn't set it.  </entry>
 	</row>
+	<row>
+	<entry><literal>Trusted_Connection</></entry>
+	<entry>Yes/No</entry>
+	<entry>No</entry>
+	<entry>Use your current account instead of <literal>UID</>/<literal>PWD</> attributes.
+		This option require SSPI or Kerberos. This superceed <literal>UID</>/<literal>PWD</> attributes.</entry>
+	</row>
 </tbody>
 </tgroup>
 </table>
@@ -2114,31 +2156,6 @@ The SQL Server machine may belong to an NT domain.  &freetds; provides an encryp
 			<para>
 Support for domain logins in &freetds; is limited to the TCP/IP network protocol stack.   &freetds; does not currently implement support for Named Pipe-based SQL connections &mdash; that is, connections transported over the DCE/RPC interface, which uses TCP port 139, 445, or 135 on Win32 machines depending on the type of encapsulation used for DCE/RPC itself. Supporting this would require a fairly extensive DCE/RPC library for Unix.   <productname>Samba</productname> has one that is licensed under the GPL and therefore not usable by LGPL-licensed projects such as &freetds; . 
 			</para>
-			<para>
-Your domain controller must allow authentication over TCP/IP, or you will be unable to log in.  One symptom of a server that requires Named Pipes for authentication is an error message such as:
-			</para>
-			<para>
-<informalexample><screen><computeroutput>
-Login failed for user '(null)'. 
-Reason: Not associated with a trusted SQL Server connection.
-</computeroutput></screen></informalexample>
-			</para>
-			<para>
-The telltale sign being <literal>user '(null)'</>.  
-			</para>
-			<para>
-If you suspect a problem along these lines, you could ask your friendly system administrator to check the following setting:
-
-<programlisting>
-Computer Configuration
- 	\Windows Settings
-		\Security Settings
-			\Local Policies
-				\Security Options
-					\LAN Manager Authentication Level
-</programlisting>
-The setting should be <quote><literal>Send LM & NTLM responses</></quote>.  
-  			</para>
 
 <para>
 For a technical description of the protocol used for domain logins, see 
@@ -2146,6 +2163,16 @@ For a technical description of the protocol used for domain logins, see
 </para>
 		</sect2>
 		</sect1>
+		<sect1 id="kerberos">
+			<title>Kerberos support</title>
+			<para>In order to take advantage of Kerberos you have to set up your machine with keytab from your Active Directory.
+				To configure your stuff you could use samba or configure directly Kerberos (<filename>/etc/krb5.conf</>).
+			</para>
+			<para>By default Unix do not initialize Kerberos ticket with your login account. You have to use kinit to initialize ticket.
+				You could also configure Kerberos in PAM in order to initialize Kerberos ticket at login time. 
+			</para>
+		</sect1>
+
 		<sect1 id="appendmode">
 			<title>Appending Dump Files</title>
 			<para>
@@ -2827,7 +2854,7 @@ Server</productname> uses the facilities of the host operating system (<productn
 username alone, without requiring a separate login name and password.
 			</para>
 <Note><para>
-The &freetds; supports integrated security mode.  If you have <productname>SQL Server</productname> running in integrated (domain) mode along with a Windows PDC, and wish to try it, see <link linkend="domains">Domain Logins</link> in the <link linkend="configs">Advanced Configurations</link> chapter.
+The &freetds; supports integrated security mode.  If you have <productname>SQL Server</productname> running in integrated (domain) mode along with a Windows PDC, and wish to try it, see <link linkend="domains">Domain Logins</link> in the <link linkend="configs">Advanced Configurations</link> chapter. If you have Active Directory you can also use Kerberos, see <link linkend="kerberos">Kerberos support</link>.
 </para></Note>
 			<para>
 &freetds; supports the traditional database
@@ -4162,7 +4189,7 @@ err_handler(DBPROCESS * dbproc, int severity, int dberr, int oserr,
 <ulink url="mailto:thompbil@exchange.uk.ml.com">Bill Thompson</ulink> (thompbil@exchange.uk.ml.com)</member>
 <member>Completer of the <systemitem class="library">db-lib</systemitem> bcp API and author of <application>freebcp</application>.</>
 				<member>
-<ulink url="mailto:freddy77@angelfire.com">Frediano Ziglio</ulink> (freddy77@angelfire.com)</member>
+<ulink url="mailto:freddy77@gmail.com">Frediano Ziglio</ulink> (freddy77@gmail.com)</member>
 <member>Extended the ODBC library, and added many, many fixes and enhancements to libtds.  </>
 			</simplelist>
 			<para>

